local colors = require 'neogruber.colors.neogruber'

local function load()
  local theme = require('neogruber.config').options.theme

  -- if style is set, it takes priority
  -- otherwise, use vim.o.background
  if not theme then
    theme = vim.o.background
  end

  local base_colors = colors
  return vim.tbl_deep_extend('force', base_colors, require('neogruber.config').options.custom_colors)
end

return { load = load }
